Onward branch

Robert Connolly robert at linuxfromscratch.org
Fri Sep 5 17:17:38 PDT 2008


As for toolchain versions... with gcc43 I get test suite errors in Binutils, 
both fsf and hjl. With gcc42 I get test suite errors from glibc-2.8.

Binutils-2.18, gcc-4.1.x, and glibc-2.8, is the only toolchain I get get to 
pass test suites, without backporting multiple patches. I imagine that this 
was the toolchain that glibc-2.8 was developed on.

Using a glibc prior to 2.8 means backporting bug fixes for glibc, so there's 
no great advantage. I think it's better to use an older gcc than glibc 
because gcc41 is still maintained, and older glibc's are not.

robert
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: not available
URL: <http://lists.linuxfromscratch.org/pipermail/hlfs-dev/attachments/20080905/6df960e8/attachment.sig>


More information about the hlfs-dev mailing list